com.io7m.jcanephora.core

## Enum JCGLCubeMapFaceLH

- java.lang.Object
- - java.lang.Enum<JCGLCubeMapFaceLH>
  - - com.io7m.jcanephora.core.JCGLCubeMapFaceLH

- All Implemented Interfaces:
    Serializable, Comparable<JCGLCubeMapFaceLH>

      public enum JCGLCubeMapFaceLH
      extends Enum<JCGLCubeMapFaceLH>

  The six faces of a cube map with a left-handed coordinate system (the default for OpenGL cube maps).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUBE_MAP_LH_NEGATIVE_X` The negative X face of a left-handed cube map.
    `CUBE_MAP_LH_NEGATIVE_Y` The negative Y face of a left-handed cube map.
    `CUBE_MAP_LH_NEGATIVE_Z` The negative Z face of a left-handed cube map.
    `CUBE_MAP_LH_POSITIVE_X` The positive X face of a left-handed cube map.
    `CUBE_MAP_LH_POSITIVE_Y` The positive Y face of a left-handed cube map.
    `CUBE_MAP_LH_POSITIVE_Z` The positive Z face of a left-handed cube map.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLCubeMapFaceLH` | `fromRH(JCGLCubeMapFaceRH face)` For the cube map face `face` in a coordinate system consistent with OpenGL's "world" coordinates, return the corresponding face in OpenGL's left handed cube map coordinate system.
    `int` | `order()`
    `static JCGLCubeMapFaceLH` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLCubeMapFaceLH[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUBE_MAP_LH_NEGATIVE_X

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_NEGATIVE_X

      The negative X face of a left-handed cube map.

    - #### CUBE_MAP_LH_NEGATIVE_Y

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_NEGATIVE_Y

      The negative Y face of a left-handed cube map.

    - #### CUBE_MAP_LH_NEGATIVE_Z

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_NEGATIVE_Z

      The negative Z face of a left-handed cube map.

    - #### CUBE_MAP_LH_POSITIVE_X

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_POSITIVE_X

      The positive X face of a left-handed cube map.

    - #### CUBE_MAP_LH_POSITIVE_Y

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_POSITIVE_Y

      The positive Y face of a left-handed cube map.

    - #### CUBE_MAP_LH_POSITIVE_Z

          public static final JCGLCubeMapFaceLH CUBE_MAP_LH_POSITIVE_Z

      The positive Z face of a left-handed cube map.

  - ### Method Detail

    - #### values

          public static JCGLCubeMapFaceLH[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLCubeMapFaceLH c : JCGLCubeMapFaceLH.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLCubeMapFaceLH valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromRH

          public static JCGLCubeMapFaceLH fromRH(JCGLCubeMapFaceRH face)

      For the cube map face `face` in a coordinate system consistent with OpenGL's "world" coordinates, return the corresponding face in OpenGL's left handed cube map coordinate system.
      Parameters:
        `face` - The right-handed face.
      Returns:
        The corresponding left-handed face.

    - #### order

          public int order()

      Returns:
        The ordering relation of faces.

Copyright © 2016 <code@io7m.com> http://io7m.com